//! Connection handling and send/receive queues

pub mod handshake;
mod packet;

use ::std::vec::Vec;

pub use handshake::Handshake;
pub use packet::ConnectionID as ID;
pub use packet::Packet;

/// Version of the fenrir protocol in use
#[derive(::num_derive::FromPrimitive, Debug, Copy, Clone)]
#[repr(u8)]
pub enum ProtocolVersion {
    /// First Fenrir Protocol Version
    V0 = 0,
}
